Join us on July 16th as we explore real-world Reinforcement Learning Learn more

can not connect to the browser

Level 1
can not connect to the browser

Hi



I installed cloudera on VMware,  then installed DSS instance , following the instruction given below



https://doc.dataiku.com/dss/latest/installation/new_instance.html



I checked whether dss is running



[DSSuser@quickstart bin]$ bash dss status



backend RUNNING pid 2667, uptime 0:37:54



ipython RUNNING pid 2664, uptime 0:37:54



nginx RUNNING pid 2665, uptime 0:37:54



 



 



 



[DSSuser@quickstart bin]$ curl 127.0.0.1:10000



<!DOCTYPE html>



<!-- This file is autogenerated, do not edit manually -->



 



<html lang="en-us">



    <head>



        <meta charset="utf-8">



        <title>Dataiku</title>



        <meta name="description" content="">



        <meta name="viewport" content="width=device-width">



        <link rel="shortcut icon" href="http://answers.dataiku.com/favicon.ico?v=3" />



...



 



However, when I want to open DSS on the browser,  it is completely blank, and pressing F12, it gives me the following error.  



 



 



SyntaxError: in strict mode code, functions may be declared only at top level or immediately within another function mainpack.js:2878:25

SyntaxError: class is a reserved identifier flowpack.js:6709:424

Error: [$injector:nomod] Module 'dataiku.services' is not available! You either misspelled the module name or forgot to load it. If registering a module ensure that you specify the dependencies as the second argument.

http://errors.angularjs.org/1.5.11/$injector/nomod?p0=dataiku.services

 angularpack.js:68:12

SyntaxError: invalid for/in left-hand side otherpack.js:8414:13

Error: [$injector:nomod] Module 'dataiku.services' is not available! You either misspelled the module name or forgot to load it. If registering a module ensure that you specify the dependencies as the second argument.

http://errors.angularjs.org/1.5.11/$injector/nomod?p0=dataiku.services

 angularpack.js:68:12

mutating the [[Prototype]] of an object will cause your code to run very slowly; instead create the object with the correct initial [[Prototype]] value using Object.create thirdpartypack.js:32144:9

Error: WebGL: Error during native OpenGL init. webgl-heatmap.js:171:14

Error: WebGL: texImage2D: Invalid type FLOAT: Requires that OES_texture_float is enabled. webgl-heatmap.js:135:7

Error: WebGL: texImage2D generated error INVALID_VALUE webgl-heatmap.js:135:7

Error: [$injector:nomod] Module 'dataiku' is not available! You either misspelled the module name or forgot to load it. If registering a module ensure that you specify the dependencies as the second argument.

http://errors.angularjs.org/1.5.11/$injector/nomod?p0=dataiku

 angularpack.js:68:12

Error: [$injector:modulerr] Failed to instantiate module dataiku due to:

[$injector:nomod] Module 'dataiku' is not available! You either misspelled the module name or forgot to load it. If registering a module ensure that you specify the dependencies as the second argument.

http://errors.angularjs.org/1.5.11/$injector/nomod?p0=dataiku

minErr/<@http://127.0.0.1:10000/static/dataiku/js/angularpack.js:68:12

module/<@http://127.0.0.1:10000/static/dataiku/js/angularpack.js:2133:1

ensure@http://127.0.0.1:10000/static/dataiku/js/angularpack.js:2057:38

module@http://127.0.0.1:10000/static/dataiku/js/angularpack.js:2131:1

loadModules/<@http://127.0.0.1:10000/static/dataiku/js/angularpack.js:4669:22

forEach@http://127.0.0.1:10000/static/dataiku/js/angularpack.js:325:11

loadModules@http://127.0.0.1:10000/static/dataiku/js/angularpack.js:4653:5

createInjector@http://127.0.0.1:10000/static/dataiku/js/angularpack.js:4575:19

bootstrap/doBootstrap@http://127.0.0.1:10000/static/dataiku/js/angularpack.js:1809:20

bootstrap@http://127.0.0.1:10000/static/dataiku/js/angularpack.js:1830:1

angularInit@http://127.0.0.1:10000/static/dataiku/js/angularpack.js:1715:5

@http://127.0.0.1:10000/static/dataiku/js/angularpack.js:32616:5

n.Callbacks/i@http://127.0.0.1:10000/bower_components/jquery/dist/jquery.min.js:2:27146

n.Callbacks/j.fireWith@http://127.0.0.1:10000/bower_components/jquery/dist/jquery.min.js:2:27914

.ready@http://127.0.0.1:10000/bower_components/jquery/dist/jquery.min.js:2:29705

J@http://127.0.0.1:10000/bower_components/jquery/dist/jquery.min.js:2:29890

0 Kudos
1 Reply
Level 1
Author

Yes,  thank you for your response 🙂 



it was a browser issue.

I had centos6.7 with firefox 44 in cloudera VM, I tried to install firefox 63, and chrome.

It was impossible to install chrome on centos, i read all the blogs , and nobody has managed to do it. I tried to upgrade firefox, it was also very difficult , because there s no straightforward method to upgrade firefox on centos6.7 because the the most uptodate compatible version is firefox 44; I downloaded firefox63 as a separate browser, and opened it locally with bash command ; then opened dataiku in port 11200.

<!--[if !supportLineBreakNewLine]-->

<!--[endif]-->

0 Kudos
Labels (3)